package com.syaroful.agrilinkvocpro.core.utils

sealed class ResultState<out T> {
    data object Idle : ResultState<Nothing>()
    data object Loading : ResultState<Nothing>()
    data class Success<T>(val data: T?) : ResultState<T>()
    data class Error(val message: String) : ResultState<Nothing>()
}